Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.jsp
Class QJspFactory

    java.lang.Object
      |
      +--javax.servlet.jsp.JspFactory
            |
            +--com.caucho.jsp.QJspFactory

public class QJspFactory
extends JspFactory

Constructor Summary
`QJspFactory()`

Method Summary
`static QJspFactory` | `create()`
`JspEngineInfo` | `getEngineInfo()` called to get implementation-specific information on the current JSP engine
`PageContext` | `getPageContext(Servlet servlet, ServletRequest request, ServletResponse response, java.lang.String errorPageURL, boolean needsSession, int buffer, boolean autoFlush)` obtains an instance of an implementation dependent javax.servlet.jsp.PageContext abstract class for the calling Servlet and currently pending request and response.
`java.lang.String` | `getSpecificationVersion()`
`void` | `releasePageContext(PageContext pc)` called to release a previously allocated PageContext object.

Methods inherited from class javax.servlet.jsp.JspFactory
`getDefaultFactory, setDefaultFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QJspFactory

    public QJspFactory()

Method Detail

### create

    public static QJspFactory create()

### getPageContext

    public PageContext getPageContext(Servlet servlet,
                                      ServletRequest request,
                                      ServletResponse response,
                                      java.lang.String errorPageURL,
                                      boolean needsSession,
                                      int buffer,
                                      boolean autoFlush)

  Description copied from class: `JspFactory`

  obtains an instance of an implementation dependent javax.servlet.jsp.PageContext abstract class for the calling Servlet and currently pending request and response.

  This method is typically called early in the processing of the _jspService() method of a JSP implementation class in order to obtain a PageContext object for the request being processed.

  Invoking this method shall result in the PageContext.initialize() method being invoked. The PageContext returned is properly initialized.

  All PageContext objects obtained via this method shall be released by invoking releasePageContext().

  Overrides:
    `getPageContext` in class `JspFactory`
  Following copied from class: `javax.servlet.jsp.JspFactory`
  Parameters:
    `servlet` - the requesting servlet
    `config` - the ServletConfig for the requesting Servlet
    `request` - the current request pending on the servlet
    `response` - the current response pending on the servlet
    `errorPageURL` - the URL of the error page for the requesting JSP, or null
    `needsSession` - true if the JSP participates in a session
    `buffer` - size of buffer in bytes, PageContext.NO_BUFFER if no buffer, PageContext.DEFAULT_BUFFER if implementation default.
    `autoflush` - should the buffer autoflush to the output stream on buffer overflow, or throw an IOException?
  Returns:
    the page context
  See Also:
    `PageContext`

### releasePageContext

    public void releasePageContext(PageContext pc)

  Description copied from class: `JspFactory`

  called to release a previously allocated PageContext object. Results in PageContext.release() being invoked. This method should be invoked prior to returning from the _jspService() method of a JSP implementation class.

  Overrides:
    `releasePageContext` in class `JspFactory`
  Following copied from class: `javax.servlet.jsp.JspFactory`
  Parameters:
    `pc` - A PageContext previously obtained by getPageContext()

### getSpecificationVersion

    public java.lang.String getSpecificationVersion()

### getEngineInfo

    public JspEngineInfo getEngineInfo()

  Description copied from class: `JspFactory`

  called to get implementation-specific information on the current JSP engine

  Overrides:
    `getEngineInfo` in class `JspFactory`
  Following copied from class: `javax.servlet.jsp.JspFactory`
  Returns:
    a JspEngineInfo object describing the current JSP engine

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD